Listar chamados do cidadão
curl --request GET \
--url https://services.pref.rio/rmi/v1/salesforce/chamados \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/rmi/v1/salesforce/chamados"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/rmi/v1/salesforce/chamados', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ouvidoriaWindow": {
"days": 123,
"label": "<string>"
},
"protocolos": [
{
"categoria": "<string>",
"dataAbertura": "<string>",
"dataFechamento": "<string>",
"dataUltimaAtualizacao": "<string>",
"ordens_de_servico": [
{
"andamentos": [
{
"dataInsercao": "<string>",
"descricao": "<string>",
"evento": "<string>",
"status": "<string>",
"tipoEvento": "<string>"
}
],
"bairro": "<string>",
"canOpen": {
"elogio": {
"available": true,
"categoryId": "<string>"
},
"reclamacao": {
"available": true,
"categoryId": "<string>"
},
"sugestao": {
"available": true,
"categoryId": "<string>"
}
},
"categoria": "<string>",
"codigoOs": "<string>",
"dataAbertura": "<string>",
"dataFechamento": "<string>",
"dataTermino": "<string>",
"descricao": "<string>",
"endereco": {
"bairro": "<string>",
"cep": "<string>",
"complemento": "<string>",
"coordenadaX": 123,
"coordenadaY": 123,
"logradouro": "<string>",
"numero": "<string>",
"pontoReferencia": "<string>",
"tipoEndereco": "<string>"
},
"id": "<string>",
"idCatalogoServico": "<string>",
"isClosed": true,
"isOverdue": true,
"orgaoResponsavel": {
"id": "<string>",
"nome": "<string>",
"sigla": "<string>"
},
"orgaoResponsavelPai": {
"id": "<string>",
"nome": "<string>",
"sigla": "<string>"
},
"ouvidoriaUrl": "<string>",
"ouvidoriaWindow": {
"days": 123,
"label": "<string>"
},
"previsaoSLA": "<string>",
"prioridade": "<string>",
"servico": "<string>",
"status": "<string>",
"subtema": "<string>",
"tema": "<string>"
}
],
"origem": "<string>",
"protocolo": "<string>",
"status": "<string>",
"subcategoria": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}salesforce
Listar chamados do cidadão
Proxy para GET /api/private/chamados usando o JWT do usuário (Community User).
GET
/
salesforce
/
chamados
Listar chamados do cidadão
